package com.yem.wm.rf.longleadinventory.list;

import kd.bos.form.FormShowParameter;
import kd.bos.form.IFormView;
import kd.bos.form.ShowType;
import kd.bos.form.events.AfterDoOperationEventArgs;
import kd.bos.list.plugin.AbstractListPlugin;


public class LongLeadInventoryListPlugin extends AbstractListPlugin {

    @Override
    public void afterDoOperation(AfterDoOperationEventArgs e) {
        super.afterDoOperation(e);
        String key = e.getOperateKey();
        IFormView view = this.getView();
        if("yem_longleadinventory".equals(key)){
            FormShowParameter formShowParameter = new FormShowParameter();
            formShowParameter.setFormId("yem_longleadinventory");
            formShowParameter.getOpenStyle().setShowType(ShowType.Modal);
            formShowParameter.setCustomParams(null);
            view.showForm(formShowParameter);
        }
    }

}
